<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/liste_positions.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">liste_positions.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="liste__positions_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*Définition de la structure liste de malus*/</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef H_LISTE_POSITIONS</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define H_LISTE_POSITIONS</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="deplacements_8h.html">deplacements.h</a>&quot;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="commun_8h.html">commun.h</a>&quot;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="structliste__pos__s.html">   21</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structliste__pos__s.html">liste_pos_s</a></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;{</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <a class="code" href="structt__pos.html">t_pos</a> * positions;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keywordtype">int</span> nb_elem;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;};</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">//Fonctions de gestion de la liste de positions</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<a class="code" href="structliste__pos__t.html">liste_pos_t</a> * <a class="code" href="liste__positions_8h.html#a8e05bdb09fea5bcdb30ce30fccfe910a">liste_positions_initialiser</a>(<span class="keywordtype">int</span> nb_elements);</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;err_t <a class="code" href="liste__positions_8h.html#a362d66d4093adabef784e4c8a71b3d89">liste_positions_detruire</a>( <a class="code" href="structliste__pos__t.html">liste_pos_t</a> ** liste );</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;err_t <a class="code" href="liste__positions_8h.html#a11720a017e76c08a4cd5d321a9793cb0">liste_positions_ajouter</a>( <a class="code" href="structliste__pos__t.html">liste_pos_t</a> * liste, <a class="code" href="structt__pos.html">t_pos</a> position, <span class="keywordtype">int</span> indice );</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<a class="code" href="structt__pos.html">t_pos</a> <a class="code" href="liste__positions_8h.html#aec107fdc12479175aa796dd6d8f96324">liste_position_lire</a>(<a class="code" href="structliste__pos__t.html">liste_pos_t</a> * liste_positions, <span class="keywordtype">int</span> indice);</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">extern</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keywordtype">void</span> <a class="code" href="liste__positions_8h.html#a430aa4c43f6888af79b14d98d2bc9151">afficher_liste_positions_terminal</a>(<a class="code" href="structliste__pos__t.html">liste_pos_t</a> * liste_positions);</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keywordtype">int</span> <a class="code" href="liste__positions_8h.html#a1322bd853f75df6ef5f94204c85d3c46">detecter_doublon</a>(<a class="code" href="structt__pos.html">t_pos</a> position, <a class="code" href="structliste__pos__t.html">liste_pos_t</a>* liste_positions);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<a class="code" href="structliste__pos__t.html">liste_pos_t</a>* <a class="code" href="liste__positions_8h.html#a2d413e2d21e13cc32a75a685f220b7b5">concatener_listes_positions</a>(<a class="code" href="structliste__pos__t.html">liste_pos_t</a> * liste_1, <a class="code" href="structliste__pos__t.html">liste_pos_t</a> * liste_2);</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keywordtype">int</span> <a class="code" href="liste__positions_8h.html#a92919921eca3ca80f53b887c4abd3bd2">taille_liste</a>(<a class="code" href="structliste__pos__t.html">liste_pos_t</a> * liste);</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keywordtype">int</span> <a class="code" href="liste__positions_8h.html#a97066291738481c71fe082cab931844a">liste_positions_existe</a>(<a class="code" href="structliste__pos__t.html">liste_pos_t</a> * liste);</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<a class="code" href="structliste__pos__t.html">liste_pos_t</a>* <a class="code" href="liste__positions_8h.html#ab85b6c014e1e526d0cf3dee6c0cde4d2">ajuster_taille_liste</a>(<a class="code" href="structliste__pos__t.html">liste_pos_t</a> * liste_1, <span class="keywordtype">int</span> <a class="code" href="liste__positions_8h.html#a92919921eca3ca80f53b887c4abd3bd2">taille_liste</a>);</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<a class="code" href="structliste__pos__t.html">liste_pos_t</a> * <a class="code" href="liste__positions_8h.html#af52936ee32532f704507e57e18a96269">retirer_occurences_liste</a>(<a class="code" href="structliste__pos__t.html">liste_pos_t</a> * liste_initiale, <a class="code" href="structliste__pos__t.html">liste_pos_t</a> * liste_occurences);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<a class="code" href="structliste__pos__t.html">liste_pos_t</a> * <a class="code" href="liste__positions_8h.html#a4b507808a17e0baeae6581fc5b96dd79">retirer_une_occurence_liste</a>(<a class="code" href="structliste__pos__t.html">liste_pos_t</a> * liste_initiale, <a class="code" href="structt__pos.html">t_pos</a> position);</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="acommun_8h_html"><div class="ttname"><a href="commun_8h.html">commun.h</a></div><div class="ttdoc">Les variable utilisé en commun.</div></div>
<div class="ttc" id="adeplacements_8h_html"><div class="ttname"><a href="deplacements_8h.html">deplacements.h</a></div><div class="ttdoc">Définition des structures de données et prototypes des fonctions liées aux déplacements des personnag...</div></div>
<div class="ttc" id="aliste__positions_8h_html_a11720a017e76c08a4cd5d321a9793cb0"><div class="ttname"><a href="liste__positions_8h.html#a11720a017e76c08a4cd5d321a9793cb0">liste_positions_ajouter</a></div><div class="ttdeci">err_t liste_positions_ajouter(liste_pos_t *liste, t_pos position, int indice)</div><div class="ttdoc">Ajoute une position à la liste.</div><div class="ttdef"><b>Definition:</b> liste_positions.c:78</div></div>
<div class="ttc" id="aliste__positions_8h_html_a1322bd853f75df6ef5f94204c85d3c46"><div class="ttname"><a href="liste__positions_8h.html#a1322bd853f75df6ef5f94204c85d3c46">detecter_doublon</a></div><div class="ttdeci">int detecter_doublon(t_pos position, liste_pos_t *liste_positions)</div><div class="ttdoc">Détecter une occurence dans la liste.</div><div class="ttdef"><b>Definition:</b> liste_positions.c:223</div></div>
<div class="ttc" id="aliste__positions_8h_html_a2d413e2d21e13cc32a75a685f220b7b5"><div class="ttname"><a href="liste__positions_8h.html#a2d413e2d21e13cc32a75a685f220b7b5">concatener_listes_positions</a></div><div class="ttdeci">liste_pos_t * concatener_listes_positions(liste_pos_t *liste_1, liste_pos_t *liste_2)</div><div class="ttdoc">Cree une nouvelle liste à partir de deux fournie en parametre sans faire de doublons.</div><div class="ttdef"><b>Definition:</b> liste_positions.c:157</div></div>
<div class="ttc" id="aliste__positions_8h_html_a362d66d4093adabef784e4c8a71b3d89"><div class="ttname"><a href="liste__positions_8h.html#a362d66d4093adabef784e4c8a71b3d89">liste_positions_detruire</a></div><div class="ttdeci">err_t liste_positions_detruire(liste_pos_t **liste)</div><div class="ttdoc">Détruit une liste de positions.</div><div class="ttdef"><b>Definition:</b> liste_positions.c:54</div></div>
<div class="ttc" id="aliste__positions_8h_html_a430aa4c43f6888af79b14d98d2bc9151"><div class="ttname"><a href="liste__positions_8h.html#a430aa4c43f6888af79b14d98d2bc9151">afficher_liste_positions_terminal</a></div><div class="ttdeci">void afficher_liste_positions_terminal(liste_pos_t *liste_positions)</div><div class="ttdoc">Afficher une liste de position sur la console, utilisée pour les test.</div><div class="ttdef"><b>Definition:</b> liste_positions.c:126</div></div>
<div class="ttc" id="aliste__positions_8h_html_a4b507808a17e0baeae6581fc5b96dd79"><div class="ttname"><a href="liste__positions_8h.html#a4b507808a17e0baeae6581fc5b96dd79">retirer_une_occurence_liste</a></div><div class="ttdeci">liste_pos_t * retirer_une_occurence_liste(liste_pos_t *liste_initiale, t_pos position)</div><div class="ttdoc">Retire une occurence à une autre liste.</div><div class="ttdef"><b>Definition:</b> liste_positions.c:277</div></div>
<div class="ttc" id="aliste__positions_8h_html_a8e05bdb09fea5bcdb30ce30fccfe910a"><div class="ttname"><a href="liste__positions_8h.html#a8e05bdb09fea5bcdb30ce30fccfe910a">liste_positions_initialiser</a></div><div class="ttdeci">liste_pos_t * liste_positions_initialiser(int nb_elements)</div><div class="ttdoc">Initialise une liste de positions de n élements.</div><div class="ttdef"><b>Definition:</b> liste_positions.c:24</div></div>
<div class="ttc" id="aliste__positions_8h_html_a92919921eca3ca80f53b887c4abd3bd2"><div class="ttname"><a href="liste__positions_8h.html#a92919921eca3ca80f53b887c4abd3bd2">taille_liste</a></div><div class="ttdeci">int taille_liste(liste_pos_t *liste)</div><div class="ttdoc">Renvoie la taille de la liste.</div><div class="ttdef"><b>Definition:</b> liste_positions.c:326</div></div>
<div class="ttc" id="aliste__positions_8h_html_a97066291738481c71fe082cab931844a"><div class="ttname"><a href="liste__positions_8h.html#a97066291738481c71fe082cab931844a">liste_positions_existe</a></div><div class="ttdeci">int liste_positions_existe(liste_pos_t *liste)</div><div class="ttdoc">Détecte si la liste existe.</div><div class="ttdef"><b>Definition:</b> liste_positions.c:342</div></div>
<div class="ttc" id="aliste__positions_8h_html_ab85b6c014e1e526d0cf3dee6c0cde4d2"><div class="ttname"><a href="liste__positions_8h.html#ab85b6c014e1e526d0cf3dee6c0cde4d2">ajuster_taille_liste</a></div><div class="ttdeci">liste_pos_t * ajuster_taille_liste(liste_pos_t *liste_1, int taille_liste)</div><div class="ttdoc">Crée une nouvelle liste avec la bonne taille.</div><div class="ttdef"><b>Definition:</b> liste_positions.c:305</div></div>
<div class="ttc" id="aliste__positions_8h_html_aec107fdc12479175aa796dd6d8f96324"><div class="ttname"><a href="liste__positions_8h.html#aec107fdc12479175aa796dd6d8f96324">liste_position_lire</a></div><div class="ttdeci">t_pos liste_position_lire(liste_pos_t *liste_positions, int indice)</div><div class="ttdoc">Lit une position dans la liste à l'indice donné</div><div class="ttdef"><b>Definition:</b> liste_positions.c:101</div></div>
<div class="ttc" id="aliste__positions_8h_html_af52936ee32532f704507e57e18a96269"><div class="ttname"><a href="liste__positions_8h.html#af52936ee32532f704507e57e18a96269">retirer_occurences_liste</a></div><div class="ttdeci">liste_pos_t * retirer_occurences_liste(liste_pos_t *liste_initiale, liste_pos_t *liste_occurences)</div><div class="ttdoc">Retire toutes les occurences d'une liste à une autre liste.</div><div class="ttdef"><b>Definition:</b> liste_positions.c:250</div></div>
<div class="ttc" id="astructliste__pos__s_html"><div class="ttname"><a href="structliste__pos__s.html">liste_pos_s</a></div><div class="ttdef"><b>Definition:</b> liste_positions.h:22</div></div>
<div class="ttc" id="astructliste__pos__t_html"><div class="ttname"><a href="structliste__pos__t.html">liste_pos_t</a></div><div class="ttdoc">Liste de positions.</div></div>
<div class="ttc" id="astructt__pos_html"><div class="ttname"><a href="structt__pos.html">t_pos</a></div><div class="ttdoc">Les position sur la carte.</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
